
<ion-content class="the_content">
  <ion-list cache-view="false">
  <form (submit)="doLogin()">
    <ion-slides>
      <ion-slide class="wrap_banner">
        <!-- <img src="https://apps.haldinfoods.com/public/image/posts/apps_web_side.png" class="img-icon"> -->
        <img src="assets/images/img_login_min.jpg" class="banner" alt="logo"/>
      </ion-slide>
    </ion-slides>
  
    <div class="wrap_title_page">
      <ion-title class="title">Login</ion-title>
    </div>

    <div class="wrap_field">
      <div class="field_item">
        <ion-icon class="icon" name="at"></ion-icon>
        <ion-item class="mb-1">
            <ion-label class="label" floating>Email</ion-label>
            <ion-input class="input" [(ngModel)]="loginData.username" type="text" name="username" clearInput=true></ion-input>
        </ion-item>
      </div>
      <div class="field_item">
          <ion-icon class="icon" name="lock"></ion-icon> 
          <ion-item class="mb-1">
            <ion-label class="label" floating>Password</ion-label>
            <ion-input class="input password" [type]="showPassword ? 'text' : 'password'" clearOnEdit="false" [(ngModel)]="loginData.password" name="password"></ion-input>
          </ion-item>
          <a class="icon_password" (click)="onPasswordToggle()" ion-button clear small item-end icon-only>
            <ion-icon [name]="showPassword ? 'eye-off' : 'eye'"></ion-icon>
          </a>
        </div>
        <div class="etc-login-form text-right mt-2">
            <a href="#" (click)="lupa_password()" class="btn_link">Lupa Password?</a>
        </div>
      </div>
      <div class="wrap_button" padding>
        <button type="submit" ion-button block color="light" class="button-color">Masuk</button>
        <!-- <a href="#" ion-button block color="danger" (click)="register()">Daftar</a> -->
      </div>
      <div class="etc-login-form text-center">
        <span class="d-block mb-1">Belum punya akun? <a href="#" (click)="register()" class="btn_link">Daftar disini</a></span>
        <span class="d-block">Terlewat aktivasi? <a href="#" (click)="aktifasiAfterRegister()" class="btn_link">Klik disini</a></span>
      </div>

  </form>

      <div class="wrap_copyright mt-3 text-center">
        <ion-note>© 2022 Haldin Foods. All rights reserved.</ion-note>
      </div>

  </ion-list>

</ion-content>
